image: python:3-alpine

before_script:
  - apk update
  - apk add zip

stages:
  - build

build:
  stage: build
  script:
    - mkdir ./build
    - cp -Rp ./src/* ./build
    - cp -p CHANGELOG.md ./build
    - cp -p README.md ./build
    - cp -p LICENSE ./build
    - cd ./build
    - ls -l
    - zip ../soundboard.zip -r "."
    - cd ..
    - rm -Rf build
  artifacts:
    name: soundboard
    when: on_success
    paths:
      - soundboard.zip
  when: on_success
  only:
    - tags
